GETLOGIN(3)

NAME
getlogin - get login name

SYNOPSIS
#include <unistd.h>
char *getlogin(void)

DESCRIPTION
Getlogin returns a pointer to the login name as found in /etc/utmp. It may be used in conjunction with getpwnam to locate the correct password file entry when the same user ID is shared by several login names.

If getlogin is called within a process that is not attached to a terminal, or if there is no entry in /etc/utmp for the process's terminal, getlogin returns a null pointer. A reasonable procedure for determining the login name is to first call getlogin and if it fails, to call getpwuid(getuid()).

FILES
/etc/utmp

SEE ALSO
getpwent(3), utmp(5), ttyslot(3)

DIAGNOSTICS
Returns a null pointer if the name cannot be found.

BUGS
The return values point to static data whose content is overwritten by each call.